Bug 1010694 - LightDM fails to remember last session
LightDM fails to remember last session
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lightdm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 11:12 EDT by Erinn Looney-Triggs
Modified: 2016-06-06 10:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-12 19:24:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erinn Looney-Triggs 2013-09-22 11:12:33 EDT
Description of problem:
The last session is not remembered after logging in using lightdm. This means that the subsequent login, although it will go through, will not start a session at all and the user is left staring at the wallpaper.

Version-Release number of selected component (if applicable):
lightdm-1.7.15-1.fc20.x86_64

How reproducible:
Login to a session, I use KDE.
Logout, try to relogin, should fail
Comment 1 Rex Dieter 2013-10-05 22:32:44 EDT
lightdm uses accountsservice to remember this (or at least is supposed to)

What does this output for you?

$ qdbus --system org.freedesktop.Accounts /org/freedesktop/Accounts/User1000 org.freedesktop.Accounts.User.XSession

replace 1000 with your UID
Comment 2 Rex Dieter 2013-10-05 22:39:41 EDT
hrm, re-reading your description, I think my definition of "last session" is different than yours.  I think what you mean is that your apps are not getting restored... if so, may be a variant of kde bug #983110
Comment 3 Rex Dieter 2014-04-12 19:24:53 EDT
closing for lack of feedback.

Please re-open when/if you can provide the requested information, thanks.

Note You need to log in before you can comment on or make changes to this bug.